MKFS(8)

NAME
mkfs - make a Linux MINIX filesystem

SYNOPSIS
mkfs [ -c | -l filename ] [ -n namelength ] [ -i inodecount ] [ -v ] device [ size-in-blocks ]

DESCRIPTION
mkfs creates a Linux MINIX file-system on a device (usually a disk partition). The device is usually of the following form:
    /dev/hda[1-8] (IDE disk 1)
    /dev/hdb[1-8] (IDE disk 2)
    /dev/sda[1-8] (SCSI disk 1)
    /dev/sdb[1-8] (SCSI disk 2)
The size-in-blocks parameter is the desired size of the file system, in blocks. This information can be determined from the fdisk(8) or cfdisk(8) program. If omitted it will be determined automaticaly. Only block counts strictly greater than 10 and strictly less than 65536 are allowed.

OPTIONS

-c  Check the device for bad blocks before creating the file system. If any are found, the count is printed.

-n namelength
    Specify the maximum length of filenames. No space is allowed between the -n and the namelength.Currently,theonlyallowable values are 14 and 30. 30 is the default.

-i inodecount
    Specify the number of inodes for the filesystem.

-l filename
    Read the bad blocks list from filename. The file has one bad block number per line. The count of bad blocks read is printed.

-v  Make a Minix version 2 filesystem.

EXIT CODES
The exit code returned by mkfs.minix is one of the following:

0   No errors

8   Operational error

16  Usage or syntax error

SEE ALSO
fsck(8), mkefs(8), efsck(8), reboot(8)